Name:    gnurobbo
Version: 0.57
Release: alt1

Summary: GNU Robbo - It's popular Atari XE/XL game ported to Linux
License: GPL
URL: http://gnurobbo.sourceforge.net

Group: Games/Arcade

Source: %name-%version.tar.bz2
Source1: %name.16.png.bz2
Source2: %name.32.png.bz2
Source3: %name.48.png.bz2

Packager: Evgeny V. Shishkov <shev@altlinux.org>

Summary(ru_RU.UTF8): GNU Robbo - популярная игра ATARI XE/XL портированная в Linux

# Automatically added by buildreq on Thu Apr 24 2008
BuildRequires: libSDL-devel libSDL_ttf-devel

%description
This is ATARI XE/XL game ported to Linux. This game was very popular and was one of the greatest ATARI games.
You can see similarities to sokoban, but this game has more features like shooting, unfriendly animals....

%description -l ru_RU.UTF-8
GNU Robbo - ATARI XE / XL игра портированеая на Linux. Эта игра была одной из величайших игр и была очень популярна на ATARI.
Вы можете увидеть сходство с sokoban, но эта игра имеет больше функций, таких как стрельба, злые животные...

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install DESTDIR="%buildroot/" install

mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name):\ 
        needs="x11" \
        section="Amusement/Arcade" \
        title="GNU Robbo" \
        longtitle="%summary" \
        command="%_bindir/%name" \
        icon="%name.png"
EOF

mkdir -p %buildroot%_miconsdir
mkdir -p %buildroot%_liconsdir
bzcat %SOURCE1 > %buildroot%_miconsdir/%name.png
bzcat %SOURCE2 > %buildroot%_iconsdir/%name.png
bzcat %SOURCE3 > %buildroot%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-, root, root)
%_bindir/*
%_datadir/%name
%_menudir/*
%doc README COPYING ChangeLog AUTHORS INSTALL
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Thu Apr 24 2008 Evgeny V. Shishkov <shev@altlinux.org> 0.57-alt1
- Initial build
